.NET

Reply
Distinguished Contributor
SRSDS
Posts: 243
Registered: ‎04-15-2011
Message 1 of 5 (287 Views)
Accepted Solution

Multiple Windows and AutoCAD Version Compatibility

287 Views, 4 Replies
03-25-2013 12:13 PM

At the moment I am creating individual deployment packages for combinations of Windows (32 & 64 bit) and AutoCAD versions.

I have a VS.NET 3.0 version for AutoCAD 2009 and a VS.NET 4.0 version for 2012+

 

For each combination I have been asking people to send me the acmgd.dll, acdbmgd.dll & accoremgd.dll files so that I can create a specific .dll file for their system.

 

There are some combinations that I haven't figured out yet. (.NET version, Windows Version & AutoCAD Version).

AutoCAD 2010 for example which I think is .NET 3.0.

 

Are there any ways that I can simplify this process or rules to go by? If it's of any relevance I am also protecting the application using Sentinel HASP.

 

Hope someone can help.

 

 

 

*Expert Elite*
_gile
Posts: 2,077
Registered: ‎04-29-2006
Message 2 of 5 (279 Views)

Re : Multiple Windows and AutoCAD Version Compatibility

03-25-2013 01:05 PM in reply to: SRSDS

Hi,

 

The safer way should be to targeting the .NET Framework version which is installed by AutoCAD versions to be sure this Framework is already installed:

A2007-2009 -> Framework 2.0

A2010-2011 -> Framework 3.5

A2012-2013 -> Framework 4.0

 

Anyway, talking about compatibility, excepted A2013 wich requires the Framework 4.0, a .NET plugin developped against Framework 2.0 and A2007 SDK may work for all 2007-2012 versions.

 

Gilles Chanteau
Distinguished Contributor
SRSDS
Posts: 243
Registered: ‎04-15-2011
Message 3 of 5 (236 Views)

Re : Multiple Windows and AutoCAD Version Compatibility

03-27-2013 09:55 AM in reply to: _gile

Gilles.

Thanks for the comments there. I've just made a 2008 version using your advice to target .NET 2.0 and all good.

You've cleared up a lot of trial and error problems I've been experiencing. 

Thank you!

Valued Contributor
swaywood
Posts: 90
Registered: ‎08-22-2013
Message 4 of 5 (109 Views)

Re : Multiple Windows and AutoCAD Version Compatibility

03-08-2014 07:31 AM in reply to: _gile

Hi,Gile:

 

you say 'a .NET plugin developped against Framework 2.0 and A2007 SDK may work for all 2007-2012 versions.'

 

is that means i just need compile one dll and can run in all 2007-2012 versions?

 

but which .net plugin? could you tell me more details? many thanks.

 

swaywood

*Expert Elite*
_gile
Posts: 2,077
Registered: ‎04-29-2006
Message 5 of 5 (102 Views)

Re : Multiple Windows and AutoCAD Version Compatibility

03-08-2014 11:54 AM in reply to: swaywood

Yes, I have much apps which use the same DLL from A2007 to A2012.

But it's sometimes painfull to code in an 'old style' avoiding to use the new APIs...

 

For more details, you can see here.

Gilles Chanteau

You are not logged in.

Log into access your profile, ask and answer questions, share ideas and more. Haven't signed up yet? Register

Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.

Need installation help?

Start with some of our most frequented solutions to get help installing your software.

Ask the Community